#pragma once

#include "CoreMinimal.h"
#include "AIEvadeLoopModifierInterface.h"
#include "AISkill_Interaction.h"
#include "AISkill_Interaction_CreateFragilePallet.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDBOTS_API UAISkill_Interaction_CreateFragilePallet : public UAISkill_Interaction, public IAIEvadeLoopModifierInterface
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName BBEvadePointInteractable;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float FragilePalletLoopSafetyRatingPenalty;

public:
	UAISkill_Interaction_CreateFragilePallet();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_Interaction_CreateFragilePallet) { return 0; }
